// pages/form/application/application.js
const upload = require("../../../utils/upload")
import { $wuxForm} from '../../../miniprogram_npm/wux-weapp/index'
Page({

  /**
   * 页面的初始数据
   */
  data: {
    validateMessages: {
      required: '%s 字段为必填',
    },
    form:{
      type:0,
      isApplyOverseas:1,
      hagueCertification:1,
    },
    labelWidth:350,
    typeOptions:[
      { text: '发明专利', value: 0 },
      { text: '外观设计', value: 1 },
      { text: '实用新型', value: 2 },
      { text: '商标', value: 3 },
      { text: '版权', value: 4 },
    ]
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },


  /**
   * 页面方法集合
   */
  //表单栏位值发生变化时
  onValuesChange(e) {
    console.log(e)
    const { changedValues, allValues } = e.detail
    // this.setValues(changedValues)
    Object.keys(changedValues).forEach((field) => {
      this.setData({
          ['form.'+field]: changedValues[field],
      })
    })
    console.log('onValuesChange \n', changedValues, allValues)
  },
  //手机号校验
  checkPhone(rule, value){
    if(!value){
      return Promise.reject(new Error('手机号不能为空!'))
    }
    const isTel = (value) => /^1[34578]\d{9}$/.test(value)
    if(!isTel(value)){
      return Promise.reject(new Error('手机号输入错误!'))
    }
    return Promise.resolve()
  },
  //上传文件
  uploadFile(){
    const that = this;  
    wx.chooseMessageFile({  
      count: 1, // 默认9，表示一次最多可以选择的文件个数  
      type: 'file', // 可以指定是文件  
      success(res) {  
        // 返回选定文件的本地文件路径列表，tempFilePath可以作为文件上传的标识  
        const tempFilePaths = res.tempFilePaths[0];  
        upload(tempFilePaths).then(res=>{
          console.log(res)
        })
      }  
    }); 
  },
  //输入备注
  changRemark(e){
    this.setData(
      {
        ["form.remark"]:e.detail.value
      }
    )
  },
  //修改是否海外申请
  onChange2(e){
    this.setData(
      {
        ["form.isApplyOverseas"]:e.detail.value
      }
    )
  },
  //修改一同申请海牙认证
  onChange1(e){
    this.setData(
      {
        ["form.hagueCertification"]:e.detail.value
      }
    )
  },
  //提交工单
  submit(){
    const { validateFields } = $wuxForm()
    wx.navigateTo({
      url: '/pages/successReminder/successReminder?id=3',
    })
    validateFields((err, values) => {
      console.log(err)
        if (!err) {

        }
    })
  },



  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})